﻿@using GoCoCMS.Web.Areas.Admin.Models.Category
@model CategoryModel

<div asp-validation-summary="ModelOnly"></div>
<input asp-for="Id" type="hidden" />

<div class="content">
  <div class="form-horizontal">
    <div class="panel-group">
      <div class="panel panel-default">
        <div class="panel-body">
          <div class="form-group">
            <div class="col-md-3">
              <goco-label asp-for="Name" asp-required="true" />
            </div>
            <div class="col-md-9">
              <input asp-for="Name" class="form-control" type="text" />
              <span asp-validation-for="Name"></span>
            </div>
          </div>
          <div class="form-group">
            <div class="col-md-3">
              <goco-label asp-for="Description" asp-required="true" />
            </div>
            <div class="col-md-9">
              <input asp-for="Description" class="form-control" type="text" />
              <span asp-validation-for="Description"></span>
            </div>
          </div>
          <div class="form-group">
            <div class="col-md-3">
              <goco-label asp-for="ParentCategoryId" asp-required="false" />
            </div>
            <div class="col-md-9">
              <select class="form-control" asp-for="ParentCategoryId" asp-items="@Model.AvailableCategories"></select>
            </div>
          </div>
          <div class="form-group">
            <div class="col-md-3">
              <goco-label asp-for="DisplayOrder" asp-required="false" />
            </div>
            <div class="col-md-9">
              <input asp-for="DisplayOrder" class="form-control" type="number" />
              <span asp-validation-for="DisplayOrder"></span>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>